S60 3rd Edition SDK FP2 for Symbian OS CommonDialogsEx

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CCommonDialogsExDocument Class Reference

`#include <CommonDialogsExDocument.h>`

Inherits CEikDocument.

List of all members.

## Detailed Description

CCommonDialogsExDocument application class.

Definition at line 31 of file CommonDialogsExDocument.h.

## Public Member Functions
virtual | ~CCommonDialogsExDocument ()
## Static Public Member Functions
static CCommonDialogsExDocument * | NewL (CEikApplication &aApp)
## Private Member Functions
| CCommonDialogsExDocument (CEikApplication &aApp)
void | ConstructL ()
CEikAppUi * | CreateAppUiL ()

## Constructor & Destructor Documentation

CCommonDialogsExDocument::~CCommonDialogsExDocument | ( |  | ) | `[virtual]`

Destructor.

Definition at line 22 of file CommonDialogsExDocument.cpp.

    00023     {
    00024     }

CCommonDialogsExDocument::CCommonDialogsExDocument | ( | CEikApplication & | aApp | ) | `[inline, private]`

EPOC default constructor.

Definition at line 49 of file CommonDialogsExDocument.h.

Referenced by NewL().

    00049 : CEikDocument(aApp) { }

## Member Function Documentation

CCommonDialogsExDocument * CCommonDialogsExDocument::NewL | ( | CEikApplication & | aApp | ) | `[static]`

Two-phased constructor.

Definition at line 32 of file CommonDialogsExDocument.cpp.

References CCommonDialogsExDocument().

Referenced by CCommonDialogsExApp::CreateDocumentL().

    00034     {
    00035     CCommonDialogsExDocument* self = new (ELeave) CCommonDialogsExDocument( aApp );
    00036     CleanupStack::PushL( self );
    00037     self->ConstructL();
    00038     CleanupStack::Pop();
    00039
    00040     return self;
    00041     }

CEikAppUi * CCommonDialogsExDocument::CreateAppUiL | ( |  | ) | `[private]`

From CEikDocument, CreateAppUiL.

Returns:
  Pointer to created AppUi class object.

Definition at line 48 of file CommonDialogsExDocument.cpp.

    00049     {
    00050     return new (ELeave) CCommonDialogsExAppUi;
    00051     }

The documentation for this class was generated from the following files:

- CommonDialogsExDocument.h
- CommonDialogsExDocument.cpp

© Nokia 2007 |